<template>
  <div id="app">
    <header>
      <h1>Exam Application</h1>
    </header>
    <div id="container">
      <Greet v-bind:email="email" />
      <Login v-bind:email="email" />
      <Update v-if="email" />
    </div>
  </div>
</template>

<script>
import Greet from "./Greeting";
import Login from "./Login";
import Update from "./Update";

export default {
  name: "app",
  components: {
    Greet,
    Login,
   Update    
  },data() {
    return {
      email: null,
      body: null,
    };
  },
  mounted() {
    fetch(`http://localhost:9000/user`, {
      credentials: "include"
    })
      .then((response) => response.json())
      .then((data) => {
        this.email = data.introspectResponse.email;
        this.body= data.body;
      });
  }
};
</script>

<style>
h1 {
  text-align: center;
  font-size: 50px;
  border: 5px solid slateblue;
  font-family: Arial, Helvetica, sans-serif;
}
#container {
  padding-top: 10px;
  box-sizing: border-box;
  border: 7px solid burlywood;
  border-radius: 15%;
  width: 500px;
  height: 500px;
  margin: auto;
}
</style>
